> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取指定 API KEY 信息

通过 UUID 获取指定 API KEY 的详细信息。

<Note>
  注意：调用此接口需要通过[系统 KEY](https://geekai.co/user/provision_keys) 进行认证，需要创建后复制进行使用。
</Note>


## OpenAPI

````yaml adminapi.yaml GET /api_keys/{uuid}
openapi: 3.1.0
info:
  title: 极客智坊 API 文档
  description: 极客智坊 API KEY 管理文档 提供 API KEY 的创建、删除、修改、查询功能
  version: 1.0.0
servers:
  - url: https://geekai.co/api
    description: 国内调用入口
  - url: https://geekai.dev/api
    description: 海外调用入口
security:
  - bearerAuth: []
paths:
  /api_keys/{uuid}:
    get:
      tags:
        - API_KEY
      summary: 获取指定 API KEY
      description: 通过 UUID 获取指定的 API KEY 详细信息
      operationId: getApiKey
      parameters:
        - $ref: '#/components/parameters/UuidParam'
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: API KEY 详细信息
                    properties:
                      uuid:
                        type: string
                        description: UUID
                      name:
                        type: string
                        description: 名称
                      value:
                        type: string
                        description: 脱敏后的 API KEY 值
                      group:
                        type: object
                        description: 代理策略分组
                        properties:
                          name:
                            type: string
                            description: 策略名称
                          alias:
                            type: string
                            description: 策略别名
                          desc:
                            type: string
                            description: 策略描述
                      credit_limit:
                        type: number
                        description: 信用额度
                      credit_used:
                        type: number
                        description: 已使用额度
                      expired_at:
                        type: string
                        format: date
                        description: 过期时间
                      expired:
                        type: boolean
                        description: 是否已过期
                      status:
                        type: boolean
                        description: 状态，true表示正常，false表示禁用
                      last_used_at:
                        type: string
                        format: date-time
                        description: 上次使用时间
                      created_at:
                        type: string
                        format: date-time
                        description: 创建时间
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: API KEY 不存在
          content:
            application/json:
              schema:
                $ref: 1caf9ab5-6bea-4b88-bfd9-3d6215cddd63
        '500':
          $ref: '#/components/responses/StandardError'
components:
  parameters:
    UuidParam:
      name: uuid
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: 资源唯一标识符
      example: 123e4567-e89b-12d3-a456-426614174000
  responses:
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: unauthorized
              message:
                type: string
                example: Invalid API key or token
    StandardError:
      description: 标准错误响应
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: 错误代码
          example: invalid_request
        message:
          type: string
          description: 错误信息描述
          example: 请求参数不合法
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 系统KEY

````